Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1072527 - bogus DB entry - VDS_INITIATED_RUN_VM_FAIL event_up_name
Summary: bogus DB entry - VDS_INITIATED_RUN_VM_FAIL event_up_name
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 3.4.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 3.5.0
Assignee: Eli Mesika
QA Contact: Jiri Belka
URL:
Whiteboard: infra
Depends On: 1042829
Blocks: rhev3.5beta 1156165
TreeView+ depends on / blocked
 
Reported: 2014-03-04 17:28 UTC by Jiri Belka
Modified: 2016-02-10 19:05 UTC (History)
12 users (show)

Fixed In Version: ovirt-3.5.0-alpha2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-17 17:12:38 UTC
oVirt Team: Infra
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 28158 master MERGED core: removing unused event from DB Never

Description Jiri Belka 2014-03-04 17:28:31 UTC
Description of problem:

BZ1042829 introduced 'Failed to restart VM on a different host' event from notification subscription. In the process there was error in event_up_name - VDS_INITIATED_RUN_VM_FAIL vs VDS_INITIATED_RUN_VM_FAILED.

But instead of removing bogus VDS_INITIATED_RUN_VM_FAIL, just new VDS_INITIATED_RUN_VM_FAILED was added.

Please clean after yourself.

engine=# select * from event_subscriber ;
            subscriber_id             |        event_up_name        |  method_address   | tag_name | notification_method 
--------------------------------------+-----------------------------+-------------------+----------+---------------------
 fdfc627c-d875-11e0-90f0-83df133b58cc | VDS_INITIATED_RUN_VM_FAILED | jbelka@redhat.com |          | EMAIL
(1 row)

engine=# select * from event_map where event_up_name ilike '%run_vm%';
        event_up_name        | event_down_name 
-----------------------------+-----------------
 VDS_INITIATED_RUN_VM_FAIL   | 
 VDS_INITIATED_RUN_VM_FAILED | 
(2 rows)

Version-Release number of selected component (if applicable):
av2 rhevm-3.4.0-0.3.master.el6ev.noarch

How reproducible:
100%

Steps to Reproduce:
1. check db
2.
3.

Actual results:
forgotten wrong event_up_name

Expected results:
remove useless stuff

Additional info:
it could be fun to search what else is rotting in the DB :)

Comment 1 Michal Skrivanek 2014-03-06 09:16:29 UTC
moving to infra based on the original patch

Comment 2 Jiri Belka 2014-06-12 14:49:18 UTC
ok, ovirt-3.5-pre / ovirt-engine-dbscripts-3.5.0-0.0.master.20140605145557.git3ddd2de.el6.noarch

Comment 3 Eyal Edri 2015-02-17 17:12:38 UTC
rhev 3.5.0 was released. closing.


Note You need to log in before you can comment on or make changes to this bug.